org.firebirdsql.jdbc.metadata

## Class TypeMetadata

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.TypeMetadata

    @InternalApi
    public final class TypeMetadata
    extends java.lang.Object

Helper class to determine type metadata conforming to expectations of `DatabaseMetaData`.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getDataType(int sqlType, int sqlSubType, int sqlScale, int characterSetId)` Derives the JDBC data type from `Types` or `JaybirdTypeCodes` from metadata information.
`static java.lang.String` `getDataTypeName(int sqlType, int sqlSubType, int sqlScale)` Derives the JDBC/SQL type name from metadata information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDataType

    public static int getDataType(int sqlType,
                                  int sqlSubType,
                                  int sqlScale,
                                  int characterSetId)

Derives the JDBC data type from `Types` or `JaybirdTypeCodes` from metadata information.

Parameters:
  `sqlType` - Firebird type code as used in the metadata tables
  `sqlSubType` - Firebird subtype code as used in the metadata tables
  `sqlScale` - Firebird scale as used in the metadata tables
  `characterSetId` - Character set id as used in the metadata tables
Returns:
  JDBC data type code.

#### getDataTypeName

    public static java.lang.String getDataTypeName(int sqlType,
                                                   int sqlSubType,
                                                   int sqlScale)

Derives the JDBC/SQL type name from metadata information.

Parameters:
  `sqlType` - Firebird type code as used in the metadata tables
  `sqlSubType` - Firebird subtype code as used in the metadata tables
  `sqlScale` - Firebird scale as used in the metadata tables
Returns:
  JDBC/SQL type name